System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

An abstract base class for a configuration element that contains a dynamic collection of heterogeneous child elements.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of this configuration element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Copies the content of the specified configuration element to this configuration element.

  The configuration element to be copied.
- Method
  4.0.0.0
  System.Boolean To be added.

  Gets a value that specifies whether this configuration element has been modified.

  true if this configuration element has been modified; otherwise, false.

- Method
  4.0.0.0
  System.Void `` To be added.

  Resets the internal state of this configuration element object, including the locks and the properties collections.

  The parent node of this configuration element.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Writes the contents of this configuration element to the configuration file.

  true if any data was actually serialized; otherwise, false.

  The that is used to write to the configuration file. true to serialize only the collection key properties; otherwise, false.